Introduction

Welcome to the AM_Encryption Plug-in

AM_Encryption is an archive manager plug-in for ACD digital-imaging management products and uses the Strong Encryption Format (.sef) for archiving files.

Archive single or multiple files under one password with full compression capabilities. AM_Encryption even provides you with the option of deleting your original files after the archive has been created. Securely store items such as sensitive documents, business plans and confidential drawings.

The Strong Encryption Format

SEF files are cryptographic archives are used to store files in a secure manner. These files make use of the Twofish encryption algorithm with a 256-bit key.

Because of the highly optimized compression and encryption routines used with the Strong Encryption Format, a seamless integration occurs with almost any kind of application. For example, suppose you have several TIFF images of faxes that you wish to remain private. Simply add them to a .sef archive and delete the originals. Any time you wish to work with your faxes, all you have to do is select the file and enter your password.


Using Help Tools

To access the help file:

Click Help.

Toolbar Buttons

Hide/Show: | Click the icon to close or open the left tabs of the help file window.
Back/Forward: | Click the icons to navigate to a topic that you have previously viewed.
Print: | Click the icon to send a copy of the topic you are viewing in the right pane to your default printer.
ACD Systems: | Click the ACD Systems button to go to ACD's Web site at: www.ACDSYSTEMS.com.

Navigation pane

Contents: | Double-click a book to display its sub-books and pages, or double-click a page to view its information in the right pane.
Index: | Type in keywords or phrases to find topics associated with these terms. To view the topic, select the keyword, and click Display.
Search: | Type the words you want to search for and click List Topics to find topics containing these words. When you want to view a topic, select it and click Display.
Favorites: | When a frequently used topic is displayed in the right pane, click Add. To view a topic from the list of your favorite topics, select it and click Display.

Context-sensitive help (what’s this?)

With certain application windows, you have the option of clicking the [image] button located in the upper-right corner of the window.

This button changes your mouse into the [What’s this?] [image] pointer. Point to the field in question to access a brief explanation.

You can also access the same information by clicking a field with the right mouse button. However, this method does not work with text boxes.


AM_Encryption Settings

It is possible to control the amount of compression used when creating your encrypted archive. The compression affects the .sef archive and not the files contained within.

To adjust the compression level, do one of the following:

  • Move the slider to the left for less compression.

  • Move the slider to the right for more compression.

The length of time it takes to create an archive increases as the compression level is raised. If you would like to save this setting as the default for future use, select Save settings.

Compression

The AM_Encryption Plug-in uses ZLIB lossless data-compression to compress files for archival purposes. The percentage of compression can vary depending on the file type, the data the file contains, and the level of compression you define in the settings.

For example:

  • When compressing JPEG files, there will be almost no compression, no matter what you set the level to. This is because JPEG files are already compressed.

  • Compressing very small files provides little noticeable difference.

  • There is a difference when compressing ten 200K Word documents using Level 9, and then comparing that to a compression of the same documents using Level 3 (providing the Word documents don't contain a large series of repetition like the word 'test' over and over).


Using Appropriate Passwords

Using passwords of less than 12 characters makes it feasible for others to break into your SEF files, when given enough time.

The mathematics behind this premise are simple. If a password is 12 characters long and consists of uppercase and lowercase letters, as well as numbers and punctuation marks, the number of possible characters that can be used for each letter of the password is 256. This means that there are 256^12 or 7.9 x 10^28 different password combinations. No amount of computing power currently available would be able to run through this many combinations in a reasonable time (it would take 1.0 x 10^10 years to break this password).

E.g., TH1Sis@test* = 12 characters


Opening an SEF File Using ACDSee

ACDSee displays Strong Encryption Files using the SEF folder icon.

Double-click the icon and the password entry window opens. AM_Encryption caches the last used password until a library function is called by ACDSee. When a SEF archive is created by overwriting another one, the file may open without having to enter a password.


Contacting ACD Systems

For the most recent contact information, please visit our Web site at:

www.ACDSYSTEMS.com/english/company/contact-us/

Global Service and Support

ACD Systems provides a number of ways to assist you when you require support or further information.

  • Technical Support and Feedback

  • Language Support

  • Newsletter and Subscription

Getting Updates

You may download software updates from:

www.ACDSYSTEMS.com/english/support/productupdates/

For up-to-date information on this and other products from ACD Systems click the ACD Systems button on the top of the toolbar. If you are not connected to the Internet, you can try another time.

Our Web site address is www.ACDSYSTEMS.com.


How to Purchase

For pricing information or to order online, visit our store: www.ACDSYSTEMS.com/english/store/

If you are part of a business and wish to use several copies of this product within your company, greatly reduced site licensing rates are available.

For more information, see Corporate Sales & Site Licensing.

Other Ways to Purchase

For your convenience and protection, we provide these secure methods of ordering:

  • Purchasing by Telephone

  • Purchasing by Mail or Fax

About the Trial Version

If you are running this program as a free trial version, the program will be disabled twenty-five days after installation.


.topic 42
Confirm your password.

.topic 41
Enter your password.

.topic 22
Saves your settings as default.

.topic 21
Adjust the slider to control the amount of compression used. For more information regarding compression, please see the help file.